import junit.framework.Test;
import junit.framework.TestSuite;

/** 
   AllTests creates a test suite containing the tests for both our Event
   and Schedule classes. This allows us to run all of our tests with a
   single ant command.
   @author Brian Hermann
   @version 2006-4-19
*/ 

public class AllTests
{
  /**
     Creates the test suite, adds the Event and Schedule tests to the suite,
     and returns the suite
     @return the test suite containing our Event and Schedule tests
  */
  public static Test suite()
  {
    // Create a test suite to hold our Event and Schedule tests
    TestSuite suite = new TestSuite("Tests for Group 6 Scheduler");

    // Add our tests to the suite
    suite.addTestSuite(EventTest.class);
    suite.addTestSuite(ScheduleTest.class);
    return suite;
  }
}
